Subject: Re: bug#63225: Compiling regexp patterns (and REGEXP_CACHE_SIZE in search.c)

From: Ihor Radchenko <[email-masked]>
Date: Wed, 03 May 2023 16:02:52 +0000

Mattias Engdegård <[email-masked]> writes:

> Maybe you should instrument the regexp engine and log the pattern and whether compilation was needed to a file. Run on a reduced dataset, and see if the sequence of regexps being exercised, and their frequencies, are consistent with what you expect.

Sorry, but I am starting to lose track of the purpose here.
What is the aim of instrumenting regexp engine in this scenario?
I already know that additional regexps will be tested by individual
`org-element-X-parser' functions.
I am also not sure how to instrument the regexp engine and what I can
see there.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>